<?session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
include ("calendario/calendario.php");
$enlace=cargar_conexion();
$accion=$_REQUEST["accion"];
if ($_POST['nuevo']=='1' || $_POST['grabar']=='1') $cedula=str_repeat('0',8-strlen(trim($_POST["cedula"]))).trim($_POST["cedula"]);
else $cedula=str_repeat('0',8-strlen(trim($_REQUEST["cedula"]))).trim($_REQUEST["cedula"]);

$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
menu();

echo "<b>Opciones:</b>	
&nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='prestaciones.php?accion=1&cedula=".$cedula."'>Regresar</a>
&nbsp;&nbsp;<img border = 0 src='images/b_elimina.png' alt='Elimina'>:Eliminar Adelantos
</font><hr>";
echo "<h2>Actualizaci&oacute;n de Adelantos de Prestaciones Sociales al Trabajadores</h2>";

	

	$mensaje='';
	if ($_POST['grabar']=='1') {
		if ($_POST['detalle']=='') $mensaje="Debe ingresar Detalle. ";
		if ($_POST['monto']=='') $mensaje .="Debe ingresar Monto Bs. ";
		if ($_POST['fecha']=='') $mensaje .="Debe ingresar Fecha. ";
		if ($mensaje=='') {
			$fecha = crear_fecha($_POST['fecha']);
			$consulta="insert into prestacion_adelanto (id, cedula, detalle, monto, fecha) values ('".$_SESSION['id_validar']."','".$cedula."','".$_POST['detalle']."','".$_POST['monto']."','".$fecha."') ";
			$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
		}
	}
	
	$monto = $_REQUEST['monto'];
	$fecha = $_REQUEST['fecha'];
	$accion = $_REQUEST['accion'];
	
	$consulta="select nombres,nombres1,apellidos,apellidos1,fechae from personal where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' ";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	$row=mysqli_fetch_array($resultado);
	mysqli_free_result($resultado);
	
	echo "<center><font face='verdana' color=red size=4>[Adelantos de Prestaciones]</font></center>";
	echo "<br><center><img src='img2/administrator.png'><font color=black size=4>&nbsp;".trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1'])."</font></center><br>";

	if ($accion==2) {
		$consulta="delete from prestacion_adelanto where id='".$_SESSION['id_validar']."' and cedula= '".$cedula."' and fecha='".$fecha."' and monto='".$monto."' ";
		$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	}	

	if ($_POST['nuevo']!='1') {
		$consulta="select * from prestacion_adelanto where id='".$_SESSION['id_validar']."' and cedula= '".$cedula."' order by fecha ";
		$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
		if (mysqli_num_rows($resultado)!=0) {
			echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
			echo "<tr bgcolor='#43bced'>";
			echo "<th align = left><font color='white'> Concepto </font></th>";
			echo "<th align = left><font color='white'> Fecha </font></th>";
			echo "<th align = right><font color='white'> Monto Bs </font></th>";
			echo "<th align = center><font color='white'> Eliminar </font></th>";
			$total=0;
			while (	$row = mysqli_fetch_array($resultado) ) {
				if ($color) $tcolor="#dfdfd0";
				else $tcolor="white";
				$total +=$row['monto'];
				echo '<tr bgcolor=white >';
				echo "<td width='200'>".$row['detalle']."</td>";
				echo "<td width='100'>".mostrar_fecha($row['fecha'])."</td>";
				echo "<td width='100' align='right'>".number_format($row['monto'],2)."</td>";
				if (substr($_SESSION['acceso_validar'],18,1)=='1')
				echo "<td width='100' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&cedula=".$cedula."&monto=".$row['monto']."&fecha=".$row['fecha']."'><img  border = 0  src='img2/icono_07.png'alt='eliminar éste registro' ></a></td>";
				else echo "<td width='100' align='center'>&nbsp;</td>";
				echo '</tr>';
			}	
			echo '<tr bgcolor="#43bced">';
			echo "<td colspan=2><font color='white'>Totales Bs.</font></td>";
			echo "<td width='100' align='right'><font color='white'><input name='aa' size=7 value='".number_format($total,2)."'></font></td>";
			echo "<td ></td>";
			echo '</tr>';
			echo '</table>';
		}	
	} 
	
	if ($_POST['nuevo']=='1') {
		//================================= agregar nuevo adelanto
			echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
			echo "<input type = 'hidden' name = 'grabar' value = '1'>";
			echo "<input type = 'hidden' name = 'cedula' value = '".$cedula."'>";
			echo "<table cellpadding=2 cellspacing=0 width='600' align='center'>";
			echo "<tr>";
				echo "<td width='200'> Detalle:</td>";
				echo "<td> <input name='detalle' size = '30' maxlength = '50'></td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td width='200'> <font color=red>Fecha (ddmmaaaa): </font></td>";
				echo "<td align = 'left'>";
					escribe_formulario_fecha_vacio("fecha","entrada");
				echo "</td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td width='200'> Monto del Adelanto:</td>";
				echo "<td> <input name='monto' size = '10' maxlength = '10'></td>";
			echo "</tr>";
			echo "</table>";
			echo "	<script language='JavaScript' type='text/JavaScript'>";
			echo "		document.entrada.detalle.focus()";
			echo "	</script>";
			echo "	<center><input name='procesar' type = 'submit' value = 'Grabar Registro Nuevo' ></center>";
			echo "	</form>"; 
		//================================= agregar nuevo adelanto
	}
	
	if ($_POST['nuevo']!='1') {
		echo "<br>";
		echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
		echo "<input type = 'hidden' name = 'nuevo' value = '1'>";
		echo "<input type = 'hidden' name = 'cedula' value = '".$cedula."'>";
		echo "<table border=0  align = 'center'><tr>";
			echo "<td><input type = 'submit' value = 'Agregar Nuevo Adelantos'></td>";
		echo "</form></table>";
	}
	if ($mensaje!='') echo "<br><center><font style='color:RED; font-size:1em;' face='Verdana' ><b>".$mensaje."</b></font></center>";	
	
	mysqli_close($enlace);
?>